KDE 4.7 PyKDE API Reference

- KDE's Python API

# KTagDisplayWidget Class Reference

`from PyKDE4.nepomuk import *`

Inherits: QWidget

## Detailed Description

The KTagDisplayWidget shows a list of tags and allows clicking each of them.

## Signals
| tagClicked (QString tag)
## Methods
| __init__ (self, QWidget parent=0)
| addTag (self, QString tag)
| addTags (self, QStringList tags)
| clear (self)
| setTags (self, QStringList tags)

## Signal Documentation

tagClicked | ( | QString | tag
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("tagClicked(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

addTag | ( | self, |
|  | QString | tag
| ) |  |  |

Add tag to be displayed. Existing tags with the same name will be overwritten.

addTags | ( | self, |
|  | QStringList | tags
| ) |  |  |

Add a set of tags to be displayed. Existing tags with the same name will be overwritten.

clear | ( |  | self ) |

Remove all tags.

setTags | ( | self, |
|  | QStringList | tags
| ) |  |  |

Set tags to be displayed.